Update a database.
Update a database's name, description, color, or icon.
PUT
/api/solutions/{solutionId}Path parameters
solutionIdnumberrequiredPath parameter: solutionId
Body
namestringdescriptionstringcolorobjecticonobjectRequest
curl
curl -X PUT https://trickest.io/api/solutions/{solutionId} \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Updated solution
idstringrequirednamestringrequireddescriptionstringiconstringcolorstringspacestringworkflow_idstringis_publicbooleanauthorstringtagsstring[]created_datestringmodified_datestring400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.